## Installing

Installation depends on which format you choose to download. If you've got a package such as RPM or DEB, check your package manager documentation for how to install new packages.

If you downloaded the source code (in a tarball), you must compile the software. To do so, once you have unpacked the source tree, you must:

              $ ./configure
              $ make
              $ make install

This will generate the makefiles for your specific platform, compile all the source tree, and install the binaries and documentation in your system.

If you don't find a file named `configure`, there should be one called `autogen.sh`. In this case, run `autogen.sh`, which will create and run the generated `configure` file.

You can specify several arguments to `configure` (or `autogen.sh`). The most significant are (you can check all the available arguments by running configure --help):

- `--prefix=<directory>`: Prefix where package will be installed

- `--enable-gtk-doc`: Specify that the library's documentation must be built (using the gtk-doc program)

- `--enable-debug`: Specify to explicietly print some debuging information

- `--with-mysql=<directory>`: Specify directory where MySQL libraries are installed

- `--with-postgres=<directory>`: Specify directory where PostgreSQL libraries are installed

- `--with-sybase=<directory>`: Specify directory where Sybase libraries are installed

- `--with-ldap=<directory>`: Specify directory where LDAP libraries are installed

- `--with-oracle=<directory>`: Specify directory where Oracle libraries are installed

- `--with-interbase=<directory>`: Specify directory where Interbase libraries are installed

- `--with-mdb=<directory>`: Specify directory where the MDB libraries (for accessing MS Access files) are installed

Libraries needed by providers are searched by default, so, if found, providers are compiled by default. Those libraries are searched in hard-coded directories, so if the installation of these libraries is in an uncommon place, the above arguments should be used to specify the directories where the libraries and header files are installed. Note that the SQLite provider is now always built using the sources of the SQLite library that are bundled within libgda's sources.

If you find any problem during the configuration, compilation or installation process, do not hesitate in contacting the GNOME-DB mailing list (`<gnome-db-list@gnome.org>`, first send an email to `<gnome-db-list-request@gnome.org>` with the subject SUBSCRIBE, if you are not already subscribed).

### Debian installation

If you are using Debian you will need to install a few packages in the following way:

                $  apt-get install package-names

These are the packages you will need for this:

- libgda2-1

- libgda2-common

- libgda2-dev

- libgda2-doc

- libgda2-dbg

- libgda2-ruby (Ruby bindings)

Alternatively, you can install the different providers that allow access to the different supported data sources. The packages you can choose from are:

- gda2-postgres for PostgreSQL databases

- gda2-mysql for MySQL databases

- gda2-odbc for ODBC data sources

- gda2-freetds for Sybase and MS SQL Server databases

- gda2-sqlite for SQLite databases

You can obtain information about any packages with:

                $  apt-cache show package-names

If you cannot find this packages, you must include in `/etc/apt/sources.list` a line like this:

                deb http://gluck.debian.org/~kov/debian woody gnome2